###############################################################################
#	Filename:	PhotonTorpedo.py
#	
#	Confidential and Proprietary, Copyright 2000 by Totally Games
#	
#	Script for filling in the attributes of photon torpedoes.
#	
#	Created:	11/3/00 -	Erik Novales	
###############################################################################

import App

###############################################################################
#	Create(pTorp)
#	
#	Guess... Creates a photon torpedo.
#	
#	Args:	pTorp - the torpedo, ready to be filled-in
#	
#	Return:	zero. nothing. 
###############################################################################
def Create(pTorp):

	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(160.0 / 255.0, 238.0 / 255.0, 254.0 / 255.0, 1.000000)
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(1.0 / 255.0, 1.0 / 120.0, 254.0 / 255.0, 1.000000)
#
#	kGlowColor = App.TGColorA()
#	kGlowColor.SetRGBA(255.0 / 255.0, 163.0 / 255.0, 0.0, 1.000000)	
#	kCoreColor = App.TGColorA()
#	kCoreColor.SetRGBA(255.0 / 255.0, 205.0 / 130.0, 100.0 / 255.0, 1.000000)

	# Params are:

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/TorpedoCore.tga",
					kCoreColor,
					0.2,
					0.8,
					"data/Textures/Tactical/TorpedoGlow.tga",
					kGlowColor,
					1.0,
					0.4,
					0.4,
					"data/Textures/Tactical/TorpedoFlares.tga",
					kGlowColor,
					90,
					0.2,
					0.1)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.15)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.PHOTON)

	return(0)

def GetLaunchSpeed():
	return(47.0)

def GetLaunchSound():
	return("Klingon Torpedo")

def GetPowerCost():
	return(18.0)

def GetName():
	return("Polaron Mark l")

def GetDamage():
	return 850.0

def GetGuidanceLifetime():
	return 10.0

def GetMaxAngularAccel():
	return 0.77
